View Issue Details

IDProjectCategoryView StatusLast Update
11988Feature requests[All Projects] Survey designpublic2018-03-09 18:59
ReporterDenisChenuAssigned To 
PrioritynoneSeverityfeature 
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary11988: Allow order of answers and sub question in 'the way admin user want'
Description
  1. There are already some workaround an tparner solution for this
  2. I have already some fork where order of answer/sub-question is take by token attribute
  3. Another user want something different here https://bugs.limesurvey.org/view.php?id=7367
  4. There are a plugin to move specific answers at end :https://framagit.org/SondagePro-LimeSurvey-plugin/moveSomeAnswers/blob/master/README.md

The i thinbk we need a global way, not 5 attributes again.

Additional Information

We already have: order alphabetic, order random

The way to fix have a specific order can be : order by list (code separated by comma for example).
The code goes to EM (then allow, for example : same order than a ranking question type)
The code can be -oth- : then we can put other input where we need https://bugs.limesurvey.org/view.php?id=7367 is fixed

I just don't see how to fix 'randome with fixed part', but maybe: list like tis (if there are 5 answers + other)

list : ',,,-oth-,end'.

TagsNo tags attached.

Relationships

related to 07367 assignedLouisGac Feature requests "Other answer" at a certain position in the list 
related to 07498 closedDenisChenu Feature requests Sometimes for some survey we need specific order for a people 
related to 13427 new Bug reports Get order from previous question - Array (Numbers) - not working? 

Activities

jelo

jelo

2016-12-07 16:18

updater   ~42456

Bring the advanced options into the sub-questions GUI.
Like the sub-question relevance field.

The attached screenshot shows an example of approached by a different web based survey-tool.

To exclude a sub-question from the random order you can click the red pin.
To active as default answer you can click a checkbox in front of a sub-question.
To add a other field behind the sub-question answer text you can add a predefined field from a drop-downfield.
The sub-question relevance is here behind the eye icon behind every sub-question.

The sub-question can be grouped and relevance and randomize/static can be applied to the subgroup of sub-questions as well.

The current technical debt of the codebase might prevent going in that direction. But the ticket seems to propose a bigger change to get rid of technical debt.

DenisChenu

DenisChenu

2016-12-07 17:24

developer   ~42461

And : for order by TOKEN:ATTRIBUTE for example ?
Or order like ranking ?
etc ...

jelo

jelo

2016-12-07 20:39

updater   ~42466

One day LS GmbH will start from scratch with a stripped down version of LS since complexity and technical debt got unbearable.

You started this ticket to discuss code change. I provided a small perspective from the GUI side.

Personally I would favor a Listobject for items/subquestions, which can be manipulated via EM. (Current EM codebase is the blackhole. Who will touch it?)

The dynamic and static lists would be able to contain order as well.
https://bugs.limesurvey.org/view.php?id=11688

SortByLabel ()
SortByValue ()
SortByTokenAttribute ()
SortReverse ()

Order by TOKEN:ATTRIBUTE is this feature request?
https://bugs.limesurvey.org/view.php?id=7498

DenisChenu

DenisChenu

2016-12-08 08:50

developer   ~42467

Good catch for 07498 :)

About SortBy function, i'm sure we have a Feature Request about 'arrtay management by EM' :)

Here, it's more a SortBy([1,2,6,-oth-,3]) for example .

But : the system must do

  • A request on answers/subquestioon : same for all respondent
  • Reorder the request after.

Issue History

Date Modified Username Field Change
2016-12-07 15:15 DenisChenu New Issue
2016-12-07 16:18 jelo Note Added: 42456
2016-12-07 17:24 DenisChenu Note Added: 42461
2016-12-07 20:39 jelo Note Added: 42466
2016-12-08 08:46 DenisChenu Relationship added related to 07498
2016-12-08 08:50 DenisChenu Note Added: 42467
2016-12-08 08:50 DenisChenu Relationship added related to 07367
2018-03-09 18:59 DenisChenu Relationship added related to 13427